Package org.drinkless.tdlib

# Class TdApi.SetMenuButton

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.Function<TdApi.Ok>
org.drinkless.tdlib.TdApi.SetMenuButton

Enclosing class:
  `TdApi`

public static class TdApi.SetMenuButton extends TdApi.Function<TdApi.Ok>
Sets menu button for the given user or for all users; for bots only.

Returns `Ok`

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.Function

  `TdApi.Function.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `TdApi.BotMenuButton`
  `menuButton`
  New menu button.
  `long`
  `userId`
  Identifier of the user or 0 to set menu button for all users.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SetMenuButton()`
  Default constructor for a function, which sets menu button for the given user or for all users; for bots only.
  `SetMenuButton(long userId, TdApi.BotMenuButton menuButton)`
  Creates a function, which sets menu button for the given user or for all users; for bots only.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Function

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### userId

    public long userId
    Identifier of the user or 0 to set menu button for all users.

  - ### menuButton

    public TdApi.BotMenuButton menuButton
    New menu button.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### SetMenuButton

    public SetMenuButton()
    Default constructor for a function, which sets menu button for the given user or for all users; for bots only.

    Returns `Ok`

  - ### SetMenuButton

    public SetMenuButton(long userId, TdApi.BotMenuButton menuButton)
    Creates a function, which sets menu button for the given user or for all users; for bots only.

    Returns `Ok`

    Parameters:
      `userId` - Identifier of the user or 0 to set menu button for all users.
      `menuButton` - New menu button.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Function<TdApi.Ok>`
    Returns:
      this.CONSTRUCTOR